#include <stdio.h>
#include <omp.h>

// Four Importants components
// 1- Directives
// 2- Clauses
// 3- Functions
// 4- Environment variables (e.g : OMP_NUM_THREADS)

int main(int argc, char **argv)
{
  
  int tid;
  omp_set_num_threads(8); // Functions

  #pragma omp parallel private(tid) // Directives and clauses
  {
    tid = omp_get_thread_num(); // Functions
    printf("Thread: %d out of %d\n", tid, omp_get_num_threads());
  }
  
  return 0;
}
