#include <stdio.h>
#include <omp.h>

void f1(int tid){
  printf("F1 by %d\n", tid);
}

void f2(int tid){
  printf("F2 by %d\n", tid);
}

int main(int argc, char **argv)
{
  omp_set_num_threads(2);

  // With sections threads can perform different task
  #pragma omp parallel sections
  {
    #pragma omp section
    {
      f1(omp_get_thread_num());
    }
    #pragma omp section
    {
      f2(omp_get_thread_num());
    }
  }

  return 0;
}
