#include <stdio.h>
#include <omp.h>
#include <unistd.h>

int main(int argc, char **argv)
{
  omp_set_num_threads(4);

  // schedule can be static, dynamic and runtime (see doc for more)
  #pragma omp parallel for schedule(static)
  for(int i=0;i<8;i++)
  {
    if(i<4)
      sleep(2); // Compute something long
    else
      sleep(0); // compute something short
  }


  return 0;
}
